<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__scmd__gen.html">pdts_scmd_gen</a></li><li class="navelem"><a class="el" href="classpdts__scmd__gen_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__scmd__gen_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a2590d8621e35ad204b40d89090fa03f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2590d8621e35ad204b40d89090fa03f1"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a2590d8621e35ad204b40d89090fa03f1">ipbw</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_wbus_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SLAVES</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae6857a18d3aa0743dd07b66e08b3a9ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6857a18d3aa0743dd07b66e08b3a9ea"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#ae6857a18d3aa0743dd07b66e08b3a9ea">ipbr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_rbus_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SLAVES</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a421b81c62a71bfcd78789f4901ef9d27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a421b81c62a71bfcd78789f4901ef9d27"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a421b81c62a71bfcd78789f4901ef9d27">ctrl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_reg_v</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4d90c756ae5e823d775257c730ac186e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d90c756ae5e823d775257c730ac186e"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a4d90c756ae5e823d775257c730ac186e">ctrl_sel</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_reg_v</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad6a701e1dd47c3bdf858b68795f798a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6a701e1dd47c3bdf858b68795f798a2"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#ad6a701e1dd47c3bdf858b68795f798a2">ctrl_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8c18163197e3c8f6c554a83e9ee4a8fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c18163197e3c8f6c554a83e9ee4a8fc"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a8c18163197e3c8f6c554a83e9ee4a8fc">ctrl_clr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7e4b11cfa7616339857f97367ed8e4b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e4b11cfa7616339857f97367ed8e4b2"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a7e4b11cfa7616339857f97367ed8e4b2">sel</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6f08c0cac620c1de482dae7355d6728d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f08c0cac620c1de482dae7355d6728d"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a6f08c0cac620c1de482dae7355d6728d">rand</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0f765913ed3c3d664b91fb8ab3313738"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f765913ed3c3d664b91fb8ab3313738"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a0f765913ed3c3d664b91fb8ab3313738">ipbw_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_wbus_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_CHAN</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad70ed32e03df6fc6160a2c758fc04ff7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad70ed32e03df6fc6160a2c758fc04ff7"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#ad70ed32e03df6fc6160a2c758fc04ff7">ipbr_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_rbus_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_CHAN</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a09947372a372c3eb8864c4212bfc31bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09947372a372c3eb8864c4212bfc31bc"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a09947372a372c3eb8864c4212bfc31bc">tacc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_CHAN</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a121125ed895560a307397f03ff130d5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a121125ed895560a307397f03ff130d5b"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a121125ed895560a307397f03ff130d5b">trej</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_CHAN</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae5878178a5757659f4f41c20d7b41662"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5878178a5757659f4f41c20d7b41662"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#ae5878178a5757659f4f41c20d7b41662">trst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a295392d2c1465863e97d36dfd19a4b97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a295392d2c1465863e97d36dfd19a4b97"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a295392d2c1465863e97d36dfd19a4b97">gen</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_scmd_gen_chan</b>  </td></tr>
<tr class="memitem:a295392d2c1465863e97d36dfd19a4b97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a295392d2c1465863e97d36dfd19a4b97"></a>
<a class="el" href="classpdts__scmd__gen_1_1rtl.html#a295392d2c1465863e97d36dfd19a4b97">gen</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_scmd_gen_chan</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__gen_8vhd_source.html#l00037">37</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__gen_8vhd_source.html">pdts_scmd_gen.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__gen_8vhd_source.html">pdts_scmd_gen.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__scmd__gen_8vhd_source.html">pdts_scmd_gen.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
